aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2004-12-22 23:06:35 +0000
committerBill Nottingham <notting@redhat.com>2004-12-22 23:06:35 +0000
commit3002083491f885f01a554739479762226391c151 (patch)
tree671db872599729d6d731967abedf5bfcbc021c8e
parenteee85e2149750c88f31d203fffffc1bd7f0c67f0 (diff)
downloadinitscripts-3002083491f885f01a554739479762226391c151.tar
initscripts-3002083491f885f01a554739479762226391c151.tar.gz
initscripts-3002083491f885f01a554739479762226391c151.tar.bz2
initscripts-3002083491f885f01a554739479762226391c151.tar.xz
initscripts-3002083491f885f01a554739479762226391c151.zip
remove initlog, minilogd
-rw-r--r--initscripts.spec3
-rwxr-xr-xrc.d/init.d/functions47
-rwxr-xr-xrc.d/rc.sysinit8
-rw-r--r--src/Makefile10
-rw-r--r--sysconfig/network-scripts/network-functions2
5 files changed, 18 insertions, 52 deletions
diff --git a/initscripts.spec b/initscripts.spec
index ba5f1046..4038138e 100644
--- a/initscripts.spec
+++ b/initscripts.spec
@@ -186,8 +186,6 @@ rm -rf $RPM_BUILD_ROOT
/sbin/getkey
/sbin/kmodule
%attr(2755,root,root) /sbin/netreport
-/sbin/initlog
-/sbin/minilogd
/sbin/service
/sbin/ppp-watch
%{_mandir}/man*/*
@@ -200,7 +198,6 @@ rm -rf $RPM_BUILD_ROOT
%config /etc/ppp/ip-down.ipv6to4
%config /etc/ppp/ipv6-up
%config /etc/ppp/ipv6-down
-%config /etc/initlog.conf
%doc sysconfig.txt sysvinitfiles ChangeLog static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 907fee10..6180722a 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -145,9 +145,9 @@ daemon() {
# And start it up.
if [ -z "$user" ]; then
- $nice initlog $INITLOG_ARGS -c "$*"
+ $nice $*
else
- $nice initlog $INITLOG_ARGS -c "runuser -s /bin/bash - $user -c \"$*\""
+ $nice runuser -s /bin/bash - $user -c \"$*\"
fi
[ "$?" -eq 0 ] && success $"$base startup" || failure $"$base startup"
}
@@ -365,14 +365,9 @@ update_boot_stage() {
# Log that something succeeded
success() {
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
- else
- # silly hack to avoid EPIPE killing rc.sysinit
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_success
return 0
}
@@ -380,13 +375,9 @@ success() {
# Log that something failed
failure() {
rc=$?
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
- else
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 2" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_failure
[ -x /usr/bin/rhgb-client ] && /usr/bin/rhgb-client --details=yes
return $rc
@@ -395,13 +386,9 @@ failure() {
# Log that something passed, but may have had errors. Useful for fsck
passed() {
rc=$?
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
- else
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_passed
return $rc
}
@@ -409,13 +396,9 @@ passed() {
# Log a warning
warning() {
rc=$?
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
- else
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_warning
return $rc
}
@@ -428,7 +411,7 @@ action() {
echo -n "$STRING " > /etc/rhgb/temp/rhgb-console
fi
shift
- initlog $INITLOG_ARGS -c "$*" && success $"$STRING" || failure $"$STRING"
+ $* && success $"$STRING" || failure $"$STRING"
rc=$?
echo
if [ "${RHGB_STARTED}" != "" -a -w /etc/rhgb/temp/rhgb-console ]; then
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 76339bc1..e76b4996 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -5,11 +5,6 @@
# Taken in part from Miquel van Smoorenburg's bcheckrc.
#
-# Rerun ourselves through initlog
-if [ -z "$IN_INITLOG" -a -x /sbin/initlog ]; then
- exec /sbin/initlog -r /etc/rc.d/rc.sysinit
-fi
-
HOSTNAME=`/bin/hostname`
HOSTTYPE=`uname -m`
unamer=`uname -r`
@@ -283,7 +278,6 @@ if [ "$CONSOLETYPE" = "vt" -a -x /bin/loadkeys ]; then
fi
fi
if [ -n "$KEYMAP" ]; then
- # Since this takes in/output from stdin/out, we can't use initlog
if [ -n "$KEYTABLE" ]; then
echo -n $"Loading default keymap ($KEYTABLE): "
else
@@ -372,7 +366,7 @@ if [ -z "$fastboot" -a "$READONLY" != "yes" ]; then
if [ "${RHGB_STARTED}" != "0" -a -w /etc/rhgb/temp/rhgb-console ]; then
fsck -T -A -a $fsckoptions > /etc/rhgb/temp/rhgb-console
else
- initlog -c "fsck -T -A -a $fsckoptions"
+ fsck -T -A -a $fsckoptions
fi
rc=$?
diff --git a/src/Makefile b/src/Makefile
index ba2378cd..3de4df1f 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -1,9 +1,8 @@
CFLAGS+=$(RPM_OPT_FLAGS) -Wall -D_GNU_SOURCE
-PROGS=usernetctl doexec netreport testd usleep ipcalc initlog minilogd \
+PROGS=usernetctl doexec netreport testd usleep ipcalc \
getkey ppp-watch consoletype genhostid kmodule
PPPWATCH_OBJS=ppp-watch.o shvar.o
-INITLOG_OBJS=initlog.o process.o
USLEEP_OBJS=usleep.o
mandir=/usr/share/man
@@ -22,12 +21,9 @@ install:
install -m 2755 netreport $(ROOT)/sbin/netreport
install -m 755 ipcalc $(ROOT)/bin/ipcalc
install -m 755 genhostid $(ROOT)/sbin/genhostid
- install -m 755 initlog $(ROOT)/sbin/initlog
- install -m 755 minilogd $(ROOT)/sbin/minilogd
install -m 755 getkey $(ROOT)/sbin/getkey
install -m 755 ppp-watch $(ROOT)/sbin/ppp-watch
install -m 755 consoletype $(ROOT)/sbin/consoletype
- install -m 644 initlog.1 $(ROOT)$(mandir)/man1
install -m 644 genhostid.1 $(ROOT)$(mandir)/man1
install -m 644 doexec.1 $(ROOT)$(mandir)/man1
install -m 644 netreport.1 $(ROOT)$(mandir)/man1
@@ -36,7 +32,6 @@ install:
install -m 644 ppp-watch.8 $(ROOT)$(mandir)/man8
install -m 644 ipcalc.1 $(ROOT)$(mandir)/man1
install -m 644 consoletype.1 $(ROOT)$(mandir)/man1
- install -m 644 initlog.conf $(ROOT)/etc
# this daemon and initscript are useful for testing the up/down/status stuff
# not installed by default, only comes from sources.
@@ -50,9 +45,6 @@ getkey: getkey.o
ipcalc: ipcalc.o
$(CC) $(LDFLAGS) -o $@ $< -Wl,-Bstatic -lpopt -Wl,-Bdynamic
-initlog: $(INITLOG_OBJS)
- $(CC) $(LDFLAGS) -o $@ $(INITLOG_OBJS) -Wl,-Bstatic -lpopt -Wl,-Bdynamic
-
usleep: $(USLEEP_OBJS)
$(CC) $(LDFLAGS) -o $@ $(USLEEP_OBJS) -Wl,-Bstatic -lpopt -Wl,-Bdynamic
diff --git a/sysconfig/network-scripts/network-functions b/sysconfig/network-scripts/network-functions
index 44f0fab8..b5dd7437 100644
--- a/sysconfig/network-scripts/network-functions
+++ b/sysconfig/network-scripts/network-functions
@@ -388,7 +388,7 @@ change_resolv_conf ()
(echo "$s" > /etc/resolv.conf;) >/dev/null 2>&1;
r=$?
if [ $r -eq 0 ]; then
- /sbin/initlog -f local7 -p notice -n NET -s "$0 : updated /etc/resolv.conf";
+ logger -p local7.notice -t "NET" -i "$0 : updated /etc/resolv.conf";
[ -e /var/lock/subsys/nscd ] && /usr/sbin/nscd -i hosts; # invalidate cache
return $?;
fi;